lm_trie_quant_s Struct Reference

## Data Fields

bins_t | tables [NGRAM_MAX_ORDER - 1][2]
bins_t * | longest
uint8 * | mem
size_t | mem_size
uint8 | prob_bits
uint8 | bo_bits
uint32 | prob_mask
uint32 | bo_mask

## Detailed Description

Definition at line 54 of file lm_trie_quant.c.

## Field Documentation

## bo_bits

uint8 lm_trie_quant_s::bo_bits

Definition at line 60 of file lm_trie_quant.c.

## bo_mask

uint32 lm_trie_quant_s::bo_mask

Definition at line 62 of file lm_trie_quant.c.

## longest

bins_t* lm_trie_quant_s::longest

Definition at line 56 of file lm_trie_quant.c.

## mem

uint8* lm_trie_quant_s::mem

Definition at line 57 of file lm_trie_quant.c.

## mem_size

size_t lm_trie_quant_s::mem_size

Definition at line 58 of file lm_trie_quant.c.

## prob_bits

uint8 lm_trie_quant_s::prob_bits

Definition at line 59 of file lm_trie_quant.c.

## prob_mask

uint32 lm_trie_quant_s::prob_mask

Definition at line 61 of file lm_trie_quant.c.

## tables

bins_t lm_trie_quant_s::tables[NGRAM_MAX_ORDER - 1][2]

Definition at line 55 of file lm_trie_quant.c.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/lm/lm_trie_quant.c